<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:44 CET 2016 -->
<title>ManageRequisitionsLinesData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ManageRequisitionsLinesData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/MatchedPOLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="ManageRequisitionsLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions</div>
<h2 title="Class ManageRequisitionsLinesData.Builder" class="title">Class ManageRequisitionsLinesData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions.ManageRequisitionsLinesData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ManageRequisitionsLinesData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#attributeSetValue-java.lang.String-">attributeSetValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the attributeSetValue value
 
 Description: An attribute associated with a product as part of an attribute set.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">businessPartner</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#currency-java.lang.String-">currency</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#discount-java.lang.String-">discount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the discount value
 
 Description: The proportional discount given to an item without respect to any previously
 defined discounts.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#internalNotes-java.lang.String-">internalNotes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the internalNotes value
 
 Description: Internal notes</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lineNetAmount-java.lang.String-">lineNetAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNetAmount value
 
 Description: The final amount of a specified line based only on quantities and prices.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lineNo-java.lang.String-">lineNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#listPrice-java.lang.String-">listPrice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the listPrice value
 
 Description: The official price of a product in a specified currency.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lockCause-java.lang.String-">lockCause</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lockCause value
 
 Description: Lock cause</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lockDate-java.lang.String-">lockDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lockDate value
 
 Description: Lock date</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lockedBy-java.lang.String-">lockedBy</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lockedBy value
 
 Description: Locked by</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lockPrice-java.lang.String-">lockPrice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lockPrice value
 
 Description: Lock price</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#lockQty-java.lang.String-">lockQty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lockQty value
 
 Description: Lock qty</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#matchedPOQty-java.lang.String-">matchedPOQty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the matchedPOQty value
 
 Description: Matched PO Qty</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#needByDate-java.lang.String-">needByDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the needByDate value
 
 Description: Need by date</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#notesForSupplier-java.lang.String-">notesForSupplier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the notesForSupplier value
 
 Description: Notes for supplier</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#orderQuantity-java.lang.String-">orderQuantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the orderQuantity value
 
 Description: The number of a certain item involved in the transaction shown in units which
 differ from the standard UOM.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#orderUOM-java.lang.String-">orderUOM</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the orderUOM value
 
 Description: The unit of measure being used for the request.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#priceList-java.lang.String-">priceList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the priceList value
 
 Description: A catalog of selected items with prices defined generally or for a specific
 partner.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#product-com.openbravo.test.integration.erp.data.selectors.ProductCompleteSelectorData-">product</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProductCompleteSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProductCompleteSelectorData</a>&nbsp;value)</code>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#quantity-java.lang.String-">quantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the quantity value
 
 Description: The number of a certain item.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#requisition-java.lang.String-">requisition</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the requisition value
 
 Description: Requisition</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#requisitionLineStatus-java.lang.String-">requisitionLineStatus</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the requisitionLineStatus value
 
 Description: Requisition line status</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#unitPrice-java.lang.String-">unitPrice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the unitPrice value
 
 Description: The price that will be paid for a specified item.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html#uOM-java.lang.String-">uOM</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="lineNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lineNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lockCause-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lockCause</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lockCause(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lockCause value
 
 Description: Lock cause</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lockCause value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lockDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lockDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lockDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lockDate value
 
 Description: Lock date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lockDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="priceList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>priceList</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;priceList(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the priceList value
 
 Description: A catalog of selected items with prices defined generally or for a specific
 partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The priceList value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lockPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lockPrice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lockPrice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lockPrice value
 
 Description: Lock price</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lockPrice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lockQty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lockQty</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lockQty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lockQty value
 
 Description: Lock qty</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lockQty value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lockedBy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lockedBy</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lockedBy(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lockedBy value
 
 Description: Locked by</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lockedBy value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="unitPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unitPrice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;unitPrice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the unitPrice value
 
 Description: The price that will be paid for a specified item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The unitPrice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="discount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>discount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;discount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the discount value
 
 Description: The proportional discount given to an item without respect to any previously
 defined discounts.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The discount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="currency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currency</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;currency(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The currency value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="matchedPOQty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matchedPOQty</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;matchedPOQty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the matchedPOQty value
 
 Description: Matched PO Qty</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The matchedPOQty value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="requisitionLineStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requisitionLineStatus</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;requisitionLineStatus(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the requisitionLineStatus value
 
 Description: Requisition line status</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The requisitionLineStatus value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="attributeSetValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attributeSetValue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;attributeSetValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the attributeSetValue value
 
 Description: An attribute associated with a product as part of an attribute set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The attributeSetValue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="orderQuantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderQuantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;orderQuantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the orderQuantity value
 
 Description: The number of a certain item involved in the transaction shown in units which
 differ from the standard UOM.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The orderQuantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="orderUOM-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderUOM</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;orderUOM(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the orderUOM value
 
 Description: The unit of measure being used for the request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The orderUOM value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="uOM-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uOM</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;uOM(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The uOM value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;businessPartner(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="notesForSupplier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notesForSupplier</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;notesForSupplier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the notesForSupplier value
 
 Description: Notes for supplier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The notesForSupplier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="internalNotes-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalNotes</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;internalNotes(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the internalNotes value
 
 Description: Internal notes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The internalNotes value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lineNetAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNetAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;lineNetAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNetAmount value
 
 Description: The final amount of a specified line based only on quantities and prices.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNetAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="listPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listPrice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;listPrice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the listPrice value
 
 Description: The official price of a product in a specified currency.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The listPrice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="quantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;quantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the quantity value
 
 Description: The number of a certain item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The quantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="product-com.openbravo.test.integration.erp.data.selectors.ProductCompleteSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>product</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;product(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProductCompleteSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProductCompleteSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The product value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="needByDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>needByDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;needByDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the needByDate value
 
 Description: Need by date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The needByDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="requisition-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requisition</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;requisition(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the requisition value
 
 Description: Requisition</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The requisition value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions">ManageRequisitionsLinesData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/MatchedPOLinesData.html" title="class in com.openbravo.test.integration.erp.data.procurement.transactions.managerequisitions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/procurement/transactions/managerequisitions/ManageRequisitionsLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="ManageRequisitionsLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
